Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## nl.liacs.subdisc
Enum NumericStrategy

    java.lang.Object
      java.lang.Enum<NumericStrategy>
          nl.liacs.subdisc.NumericStrategy

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<NumericStrategy>, EnumInterface

    public enum NumericStrategy

extends java.lang.Enum<NumericStrategy>
implements EnumInterface

NumericStrategy contains all available NumericStrategies.

Enum Constant Summary
`NUMERIC_ALL`
`NUMERIC_BEST`
`NUMERIC_BINS`

Field Summary
`java.lang.String` | `GUI_TEXT` For each NumericStrategy, this is the text that will be used in the GUI.

Method Summary
`static NumericStrategy` | `getDefault()` Returns the default NumericStrategy.
`static NumericStrategy` | `getNumericStrategy(java.lang.String theType)` Returns the NumericStrategy corresponding to the `String` parameter.
`java.lang.String` | `toString()` Returns a friendly `String to show in the GUI.`
`static NumericStrategy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static NumericStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMERIC_BINS

    public static final NumericStrategy NUMERIC_BINS

### NUMERIC_BEST

    public static final NumericStrategy NUMERIC_BEST

### NUMERIC_ALL

    public static final NumericStrategy NUMERIC_ALL

Field Detail

### GUI_TEXT

    public final java.lang.String GUI_TEXT

  For each NumericStrategy, this is the text that will be used in the GUI. This is also the `String` that will be returned by the toString() method.

Method Detail

### values

    public static NumericStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (NumericStrategy c : NumericStrategy.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static NumericStrategy valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getNumericStrategy

    public static NumericStrategy getNumericStrategy(java.lang.String theType)

  Returns the NumericStrategy corresponding to the `String` parameter. This method is case insensitive.

  Parameters:
    `theType` - the `String` corresponding to a NumericStrategy.
  Returns:
    the NumericStrategy corresponding to the `String` parameter, or the default NumericStrategy `NUMERIC_BINS` if no corresponding NumericStrategy can not be found.

### getDefault

    public static NumericStrategy getDefault()

  Returns the default NumericStrategy.

  Returns:
    the default NumericStrategy.

### toString

    public java.lang.String toString()

  Description copied from interface: `EnumInterface`
  Returns a friendly `String to show in the GUI.

  `
  Specified by:
    `toString` in interface `EnumInterface`
  Overrides:
    `toString` in class `java.lang.Enum<NumericStrategy>`
  Returns:
    the text `String` presented to the end user.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD